### Function

# Gio UnixMountPoint at

since: 2.66

#### Declaration

    GUnixMountPoint*
    g_unix_mount_point_at (
      const char* mount_path,
      guint64* time_read
    )

#### Description

Gets a `GUnixMountPoint` for a given mount path. If `time_read` is set, it will be filled with a unix timestamp for checking if the mount points have changed since with g_unix_mount_points_changed_since().

If more mount points have the same mount path, the last matching mount point is returned.

Available since: 2.66

#### Parameters

`mount_path`

  Type: `const char*`

  Path for a possible unix mount point.

  The data is owned by the caller of the function.
  The value is a file system path, using the OS encoding.

`time_read`

  Type: `guint64*`

  Guint64 to contain a timestamp.

  The argument will be set by the function.
  The argument can be `NULL`.

#### Return value

Type: `GUnixMountPoint`

A `GUnixMountPoint`, or `NULL` if no match is found.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.